---
title: Retrieve Condition
slug: retrieve-condition
docTags: 
createdAt: 2023-09-12T11:08:42.490Z
---

Access a patient's diagnoses, clinical concerns, and conditions from their EHR. This data paints a holistic health picture, vital for care coordination and providing context for ongoing treatments.

To access this clinical data you'll need the patient identifier, obtainable through the [Retrieve Patient](docId:8OPknnbMTaZ47Rk5HkDD3) interaction.

### Interaction

Retrieving the list of conditions can be done by sending a **GET** request. The request is sent to the Condition endpoint:

`https://api.<region>.founda.com/1/organizations/<org-x>/fhir/4/Condition?<parameters>`

Where `<region>` should be defined according to the different Founda [regions](docId\:ncFf15xNu1WGlST2wNm-P) and `<org-x>` should be replaced with the Healthcare Provider's organization ID that you are integrated with.&#x20;

The response contains a Bundle with 0, 1 or N matching Conditions. The full Condition resource can be retrieved with the identifier of the selected Condition from the result set.&#x20;

### Profile

Founda adheres to recognized standards (IHE, HL7 FHIR) to ensure compatibility and harmonization among diverse systems. If there is a profile available for an interaction, it is recommended and preferred to follow the prescribed transactions.

The Retrieve Condition interaction with the Founda Platform is based on the [IHE QEDm profile](https://www.ihe.net/uploadedFiles/Documents/PCC/IHE_PCC_Suppl_QEDm.pdf). To indicate that the request and response should comply with PCC-44, the `_profile` parameter should be included to the search set: `.../Condition?_profile=https://profiles.ihe.net/ITI/QEDm`.

### Parameters

In order to comply with the PCC-44 transaction, the interaction should at least support the parameter in the table below. Additional search parameters, as defined in the [FHIR Condition](http://hl7.org/fhir/condition.html) resource, can be used as well.&#x20;

| **Parameter**                 | **Type**              | **Required\*** | **Description**                                                                                                       |
| ----------------------------- | --------------------- | -------------- | --------------------------------------------------------------------------------------------------------------------- |
| `patient`                     | `reference`           |                | The patient to retrieve the Condition overview for                                                                    |
| `patient` + `category`        | `reference` + `token` |                | The patient to retrieve the Condition overview for + the category name of the resource                                |
| `patient` + `clinical-status` | `reference` + `token` |                | The patient to retrieve the Condition overview for + the clinical status (which can be active, resolved, or inactive) |

*\*At least one of the combinations has to be supported*

### Example API call

::::CodeDrawer{title="Retrieve Condition for Patient" isResponseExpanded="true" autoGeneratedAnchorSlug="retrieve-condition-for-patient" legacyHash="gIIooKhAZqRPjjutRU3wC"}
:::CodeblockTabsExamples
```curl
curl --location 'https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Condition?patient=2078&_profile=https%3A%2F%2Fprofiles.ihe.net%2FITI%2FQEDm%2F' \
--header 'Authorization: Bearer ory_at_T_sx5CEqgi37wTaptEkGAV9Ggsg4UCzrzOc4Xe29Sto.jfqRUlKTeevVwUmPD6djKD2lAWDh5vRMfIf0PKpNQsU' \
--data ''
```
:::

:::CodeblockTabsResponses
```javascript
{
    "resourceType": "Bundle",
    "id": "2d5443ae-0ccd-4ca2-88e3-297912df9954",
    "meta": {
        "lastUpdated": "2023-10-17T09:13:21.500+00:00"
    },
    "type": "searchset",
    "total": 1,
    "link": [
        {
            "relation": "self",
            "url": "https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Condition?patient=2078&_profile=https://profiles.ihe.net/ITI/QEDm/"
        }
    ],
    "entry": [
        {
            "fullUrl": "https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Condition/2136",
            "resource": {
                "resourceType": "Condition",
                "id": "2136",
                "meta": {
                    "versionId": "1",
                    "lastUpdated": "2023-10-05T14:29:18.317+00:00",
                    "source": "#UpWpQHENHvH4OhnV",
                    "tag": [
                        {
                            "system": "http://terminology.hl7.org/CodeSystem/v3-ActReason",
                            "code": "HTEST",
                            "display": "test health data"
                        }
                    ]
                },
                "text": {
                    "status": "generated",
                    "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\">Severe burn of left ear (Date: 24-May 2012)</div>"
                },
                "clinicalStatus": {
                    "coding": [
                        {
                            "system": "http://terminology.hl7.org/CodeSystem/condition-clinical",
                            "code": "active"
                        }
                    ]
                },
                "verificationStatus": {
                    "coding": [
                        {
                            "system": "http://terminology.hl7.org/CodeSystem/condition-ver-status",
                            "code": "confirmed"
                        }
                    ]
                },
                "category": [
                    {
                        "coding": [
                            {
                                "system": "http://terminology.hl7.org/CodeSystem/condition-category",
                                "code": "encounter-diagnosis",
                                "display": "Encounter Diagnosis"
                            },
                            {
                                "system": "http://snomed.info/sct",
                                "code": "439401001",
                                "display": "Diagnosis"
                            }
                        ]
                    }
                ],
                "severity": {
                    "coding": [
                        {
                            "system": "http://snomed.info/sct",
                            "code": "24484000",
                            "display": "Severe"
                        }
                    ]
                },
                "code": {
                    "coding": [
                        {
                            "system": "http://snomed.info/sct",
                            "code": "39065001",
                            "display": "Burn of ear"
                        }
                    ],
                    "text": "Burnt Ear"
                },
                "bodySite": [
                    {
                        "coding": [
                            {
                                "system": "http://snomed.info/sct",
                                "code": "49521004",
                                "display": "Left external ear structure"
                            }
                        ],
                        "text": "Left Ear"
                    }
                ],
                "subject": {
                    "reference": "Patient/2078"
                },
                "onsetDateTime": "2012-05-24"
            },
            "search": {
                "mode": "match"
            }
        }
    ]
}
```
:::
::::

